.custom-sidebar{ 
    position:fixed;
    width: var(--sidebar-width);
    height: 100%;
    right: var(--sidebar-width-negative);
    transition: 0.5s ease;
    background-color: var(--color-neutral-0);
    padding: var(--space-xl) var(--space-xxl);
    overflow-y: auto;
    &.is-open{
        right: 0;
    }
    &-content{
        border: none;
        width: 350px;
        height: 100vh;
        padding: var(--space-m) var(--space-xxl);
    }
    &-header{
        margin-bottom: var(--space-xl);
        &--user-details{
            &_body-details{
                margin-bottom: var(--space-xl);
                .card{
                    background-color: var(--color-blue-lightest);
                    border-radius: 19px;
                    border: none;
                    padding: 10px;
                }
                &_wrapper{
                    display: flex;
                    align-items: center;
                    justify-content: space-evenly;

                    color: var(--color-blue-lighter);
                    font-weight: 500;
                    font-size: var(--font-size-s);
                    text-align: center;
                    span{
                        color: var(--color-blue-light);
                        font-weight: 700;
                        font-size: var(--font-size-h6);
                    }
                    div:not(.separator){
                        display: flex;
                        flex-direction: column;
                    }
                    .separator{
                        background-color: var(--color-blue-lighter);
                        height: 55px;
                    }
                }
            }
        }
    }
    &-calendar{
        &-header{
            color: var(--color-blue-darkest);
            font-weight: 700;
            font-size: var(--font-size-s);

            display: flex;
            align-items: center;
            justify-content: flex-start;
            
            span{
                margin-right: 10px;
            }
        }
        &-body{ 
            display: flex;
            align-items: center;
            justify-content: space-between;
            &--week-day{
                display: flex;
                flex-direction: column;
                span{
                    font-size: var(--font-size-s);
                    position: relative;
                    &:first-child{
                        color: var(--color-blue-dark);
                        font-weight: 500;
                    }
                    &:last-child{
                        font-weight: 700;
                        color: var(--color-neutral-7);
                        text-align: center;
                    }
                }
                &.current-day{
                    width: 40px;
                    height: 75px;
                    background-color: var(--color-blue);
                    border-radius: 25px;
                    display: flex;
                    align-items: center;
                    justify-content: center;
                    span{
                        color: var(--color-neutral-0);
                        &.has-event{
                            &:after{
                                background-color: var(--color-neutral-0);
                            }
                        }
                    }
                    
                }
                .has-event{
                    &:after{
                        content: "";
                        display: inline-block;
                        width: 4px;
                        height: 4px;
                        background-color: var(--color-blue);
                        border-radius: var(--border-radius-circle);
                        position: absolute;
                        top: 2px;
                        right: -5px;
                    }
                }
            }
        }
    }
    &-body{
        .event-card{
            margin-bottom: var(--space-m);
        }
        p{
            color: var(--color-blue-darkest);
            font-weight: var(--font-bold);
            margin-bottom: var(--space-base);
        }
    }
}